Subject: bug#32967: closed (Re: bug#32967: dired-do-rename: don't say overwrite when you really mean attach as child)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 Jul 2019 23:10:04 +0000

Your bug report

#32967: dired-do-rename: don't say overwrite when you really mean attach as child

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32967: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32967
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32967: dired-do-rename: don't say overwrite when you really mean attach as child
From: 積丹尼 Dan Jacobson <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Sun, 14 Jul 2019 07:09:07 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
LI> I'm not sure what you're referring to here.  Do you have a test case?
Not today anymore. Closing.

Subject: dired-do-rename: don't say overwrite when you really mean attach as child
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Sun, 07 Oct 2018 20:31:48 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

R runs the command dired-do-rename (found in dired-mode-map)

It says e.g.,
Overwrite ‘/tmp/201840’? [Type yn!q or C-h]

That is great, but it just uses the same message for all cases:
file->file
file->directory
directory->file
directory->directory.

At least the case I tested: directory->directory, overwriting is very
much different that what really happens (attaching as child).

emacs-version "25.2.2"
Yes I'm sure I reported this before.